import EditIcon from '@mui/icons-material/Edit';
import { useState } from 'react';
import { Button, useListContext } from 'react-admin';
import BatchModal from './BatchModal';

const ImportButton = (props) => {
    const [modalOpen, setModalOpen] = useState(false);
    const { selectedIds } = useListContext();
    console.log(selectedIds)
    const handleOpenModal = () => {
        setModalOpen(true);
    };

    const handleCloseModal = () => {
        setModalOpen(false);
    };

    return (
        <>
            <Button
                startIcon={<EditIcon />}
                label="common.action.batch"
                onClick={handleOpenModal}
            />

            <BatchModal open={modalOpen} onClose={handleCloseModal} {...props} />
        </>
    );
};

export default ImportButton;